import 'package:logger/logger.dart';
import 'package:realwear_voice_command/core/injector.dart';
import 'package:realwear_voice_command/core/method_channel_handler.dart';

// ignore: avoid_classes_with_only_static_members
class RealwearVoiceCommand {
  static late final bool debugMode;

  static void initRealwearVoiceCommand({
    required Logger logger,
    bool debugMode = false,
  }) {
    RealwearVoiceCommand.debugMode = debugMode;
    setupRealWearVoiceCommandInjector(logger: logger);
    realwearVoiceCommandInjector<MethodChannelHandler>().setup();
  }
}
